"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const CUSTOMER_assets_method = require("./method.js");
const CUSTOMER_assets_model = require("./model.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  (_easycom_uni_icons2 + _easycom_hs_enum_tag2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_enum_tag)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const toPage = (url) => {
      common_vendor.index.navigateTo({
        url
      });
    };
    common_vendor.onLoad((e) => {
      var _a;
      CUSTOMER_assets_model.useModel.formData.value = e;
      (_a = CUSTOMER_assets_method.method) == null ? void 0 : _a.getUserHoueInfo(e == null ? void 0 : e.phone);
      console.log(e);
    });
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(CUSTOMER_assets_model.useModel)) == null ? void 0 : _a.userHouse) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c, _d;
          return common_vendor.e({
            a: common_vendor.t((_a2 = i == null ? void 0 : i.asset_project) == null ? void 0 : _a2.name),
            b: common_vendor.t((_b2 = i == null ? void 0 : i.asset_building) == null ? void 0 : _b2.name),
            c: common_vendor.t((_c = i == null ? void 0 : i.asset_unit) == null ? void 0 : _c.name),
            d: common_vendor.t((_d = i == null ? void 0 : i.asset_house) == null ? void 0 : _d.name),
            e: "40156cf0-0-" + i0,
            f: common_vendor.o(($event) => toPage(`/BILL/outstanding_fee/show/index?id=${i == null ? void 0 : i.asset_houses_id}`), `item_${index}`),
            g: (i == null ? void 0 : i.house_relation) === "Owner"
          }, (i == null ? void 0 : i.house_relation) === "Owner" ? {} : {}, {
            h: i == null ? void 0 : i.is_contact
          }, (i == null ? void 0 : i.is_contact) ? {} : {}, {
            i: i == null ? void 0 : i.residential_relation
          }, (i == null ? void 0 : i.residential_relation) ? {
            j: "40156cf0-1-" + i0,
            k: common_vendor.p({
              Enums: common_vendor.unref(gen_Enums.HouseOccupantsResidentialRelationEnum),
              value: i == null ? void 0 : i.residential_relation
            })
          } : {}, {
            l: (i == null ? void 0 : i.house_relation) !== "Owner"
          }, (i == null ? void 0 : i.house_relation) !== "Owner" ? {
            m: common_vendor.o(($event) => common_vendor.unref(CUSTOMER_assets_method.method).handleUnbind(i), `item_${index}`)
          } : {}, {
            n: `item_${index}`
          });
        }),
        b: common_vendor.p({
          type: "right",
          size: "13",
          color: "#999"
        }),
        c: common_vendor.p({
          type: "plus",
          size: "20"
        }),
        d: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(CUSTOMER_assets_method.method)) == null ? void 0 : _a2.handleBindHouse) && ((_b2 = common_vendor.unref(CUSTOMER_assets_method.method)) == null ? void 0 : _b2.handleBindHouse(...args));
          }
        )
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/assets/index.vue"]]);
wx.createPage(MiniProgramPage);
